import QtQuick 2.0
import Sailfish.Silica 1.0
import Nemo.Configuration 1.0

ListItem {
	id: root
	width: parent.width

	signal reset

	/*property var config
	property string key
	onReset: if (config && key) config.setValue(key, config)*/

	Connections {
		ignoreUnknownSignals: true
		target: contentItem.children[1]
		onPressAndHold: root.openMenu()
	}

	contentHeight: contentItem.children[1].height

	menu: Component {
		ContextMenu {
			MenuItem {
				text: qsTr("Reset")
				onClicked: reset()
			}
		}
	}
}
